Bug 1301449 - Overcloud update failed with error Error: Must pass controller_virtual_ip to Class[Tripleo::Loadbalancer]
Overcloud update failed with error Error: Must pass controller_virtual_ip to ...
Status: CLOSED NOTABUG
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
urgent Severity high
: ---
: 7.0 (Kilo)
Assigned To: chris alfonso
yeylon@redhat.com
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 00:51 EST by James Biao
Modified: 2016-04-26 14:15 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 09:43:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Biao 2016-01-25 00:51:16 EST
Description of problem:
Updating Overcloud from 7.1 to 7.2 with heat failed with error Error: Must pass controller_virtual_ip to Class[Tripleo::Loadbalancer]

[stack@director ~]$ heat deployment-show c25d3859-3bdb-4e80-bc2b-a667713e3b1f 

{ "status": "FAILED", "server_id": "bb215102-fbc4-4b81-8033-d7f5a0e46a42", "config_id": "150fbd26-dced-4fa8-a55b-5497ae27b696", "output_values": { "deploy_stdout": "", "deploy_stderr": "\u001b[1;31mError: Must pass controller_virtual_ip to Class[Tripleo::Loadbalancer] at /var/lib/heat-config/heat-config-puppet/150fbd26-dced-4fa8-a55b-5497ae27b696.pp:55 on node overcloud-controller-0.localdomain\u001b[0m\n\u001b[1;31mError: Must pass controller_virtual_ip to Class[Tripleo::Loadbalancer] at /var/lib/heat-config/heat-config-puppet/150fbd26-dced-4fa8-a55b-5497ae27b696.pp:55 on node overcloud-controller-0.localdomain\u001b[0m\n", "deploy_status_code": 1 }, "creation_time": "2015-11-28T23:39:34Z", "updated_time": "2016-01-25T04:12:13Z", "input_values": {}, "action": "UPDATE", "status_reason": "deploy_status_code : Deployment exited with non-zero status code: 1", "id": "c25d3859-3bdb-4e80-bc2b-a667713e3b1f" }

checked port control_virtual_ip is not found from "neutron port-list"

Followed all the steps from, error at the last step 9.3.5,  

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Updating_the_Overcloud.html

openstack overcloud update stack overcloud -i \
  --templates  \
  -e /usr/share/openstack-tripleo-heat-templates/overcloud-resource-registry-puppet.yaml \
  -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml \
  -e /home/stack/templates/network-environment.yaml \
  -e /home/stack/templates/storage-environment.yaml \
  -e /usr/share/openstack-tripleo-heat-templates/environments/updates/update-from-vip.yaml \
  -e /home/stack/templates/param-updates.yaml


Attaching sosreports from undercloud and overcloud nodes, and all yaml files to collabshell.
Comment 6 James Slagle 2016-01-25 13:12:54 EST
on collabshell, I don't see any network-environment.yaml file.

can we get either the exact copy of templates they are using, or the exact update command they're using? one or the other is incorrect based on the data in the bz.
Comment 7 James Slagle 2016-01-25 13:16:39 EST
for clarity here, can we confirm the *exact* update command they are running, and we need all the templates actually in use
Comment 8 James Slagle 2016-01-25 13:30:22 EST
can i also get the output of the following from the undercloud:

heat resource-list -n 10 overcloud

neutron port-list

if there is a port called control_virtual_ip, then:

neutron port-show control_virtual_ip
Comment 9 Giulio Fidente 2016-01-25 13:33:33 EST
I think you should be passing:

  ControlFixedIPs: [{'ip_address':'192.0.2.10'}]

in a section named "parameters:", not "parameter_defaults:"; it can be added in the same param-updates.yaml file you already have, which would look like:

  $ more upgrade-params.yaml
  parameter_defaults:
    ControlPlaneDefaultRoute: 192.0.2.1
    EC2MetadataIp: 169.254.169.254

  parameters:
    ControlFixedIPs: [{'ip_address':'192.0.2.10'}]
Comment 11 Giulio Fidente 2016-01-25 13:45:38 EST
After doing that, should the update fail again, can you check the output of the following command (from the undercloud):

  $ heat stack-show overcloud|grep ControlFixedIPs


Should the above return the IP address we expect it to (192.0.2.10), can you also check what is the the output of the following command (still from the undercloud):

  $ heat resource-show overcloud ControlVirtualIP
Comment 12 David Hill 2016-01-25 13:46:11 EST
Here is the update command we're using:

openstack overcloud update stack overcloud -i --templates templates/openstack-tripleo-pg-heat-templates/ -e templates/openstack-tripleo-pg-heat-templates/overcloud-resource-registry-puppet.yaml -e /home/stack/upgrade-params.yaml -e templates/openstack-tripleo-pg-heat-templates/environments/neutron-plumgrid.yaml -e templates/openstack-tripleo-pg-heat-templates/environments/net-bond-with-pg-net.yaml -e templates/openstack-tripleo-pg-heat-templates/environments/storage-environment.yaml
Comment 13 James Slagle 2016-01-25 13:50:52 EST
(In reply to David Hill from comment #12)
> Here is the update command we're using:
> 
> openstack overcloud update stack overcloud -i --templates
> templates/openstack-tripleo-pg-heat-templates/ -e
> templates/openstack-tripleo-pg-heat-templates/overcloud-resource-registry-
> puppet.yaml -e /home/stack/upgrade-params.yaml -e
> templates/openstack-tripleo-pg-heat-templates/environments/neutron-plumgrid.
> yaml -e
> templates/openstack-tripleo-pg-heat-templates/environments/net-bond-with-pg-
> net.yaml -e
> templates/openstack-tripleo-pg-heat-templates/environments/storage-
> environment.yaml

if that's the update command, then they are not passing update-from-vip.yaml, which is required when updating from 7.1.

Also, there is no openstack-tripleo-pg-heat-templates directory anywhere on collabshell, so I don't think we have the actual templates they are using.
Comment 19 Dave Maley 2016-01-28 09:43:05 EST
update was successful

Note You need to log in before you can comment on or make changes to this bug.